<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ltgk.boat.mapper.DsOutPortMapper">

    <resultMap type="com.ltgk.boat.domain.entity.DsOutPort" id="DsOutPortMap">
        <result property="id" column="id"/>
        <result property="portId" column="port_id"/>
        <result property="portName" column="port_name"/>
        <result property="boatName" column="boat_name"/>
        <result property="status" column="status"/>
        <result property="areaCode" column="area_code"/>
        <result property="areaName" column="area_name"/>
        <result property="createBy" column="create_by"/>
        <result property="createAt" column="create_at"/>
        <result property="updateBy" column="update_by"/>
        <result property="updateAt" column="update_at"/>
        <result property="remark" column="remark"/>
        <result property="registerId" column="register_id"/>
        <result property="registerName" column="register_name"/>
        <result property="registerPhone" column="register_phone"/>
        <result property="registerUnit" column="register_unit"/>
        <result property="registerType" column="register_type"/>
        <result property="planWorkArea" column="plan_work_area"/>
        <result property="outTime" column="out_time"/>
        <result property="boatMaterial" column="boat_material"/>
        <result property="length" column="length"/>
        <result property="mainPower" column="main_power"/>
        <result property="examineCode" column="examine_code"/>
        <result property="nationalityCode" column="nationality_code"/>
        <result property="aisNumber" column="ais_number"/>
        <result property="bdId" column="bd_id"/>
        <result property="lifeRaftsNum" column="life_rafts_num"/>
        <result property="fireExtinguishersNum" column="fire_extinguishers_num"/>
        <result property="lifeJacketsNum" column="life_jackets_num"/>
        <result property="lifebuoysNum" column="lifebuoys_num"/>
        <result property="isAbnormal" column="is_abnormal"/>
        <result property="isLocal" column="is_local"/>
        <result property="boatId" column="boat_id"/>
        <result property="captionSign" column="caption_sign"/>
        <result property="personnelSign" column="personnel_sign"/>
        <result property="reviewDesc" column="review_desc"/>
        <result property="reviewUserId" column="review_user_id"/>
        <result property="reviewTime" column="review_time"/>
        <result property="reviewUserName" column="review_user_name"/>
        <result property="holdCertificate" column="hold_certificate"/>
        <result property="holdCertificateUrl" column="hold_certificate_url"/>
        <result property="shipFlag" column="ship_flag"/>
        <result property="shipFlagUrl" column="ship_flag_url"/>
        <result property="securityMeasures" column="security_measures"/>
        <result property="standard" column="standard"/>
        <result property="bdStatus" column="bd_status"/>
        <result property="bdStatusUrl" column="bd_status_url"/>
        <result property="aisStatus" column="ais_status"/>
        <result property="aisStatusUrl" column="ais_status_url"/>
        <result property="lifeRaftsStatus" column="life_rafts_status"/>
        <result property="fireExtinguishersStatus" column="fire_extinguishers_status"/>
        <result property="lifeJacketsStatus" column="life_jackets_status"/>
        <result property="lifebuoysStatus" column="lifebuoys_status"/>
        <result property="lifesavingFirefightingUrl" column="lifesaving_firefighting_url"/>
        <result property="actualOutTime" column="actual_out_time"/>
        <result property="lampStatus" column="lamp_status"/>
        <result property="lampStatusUrl" column="lamp_status_url"/>
        <result property="boatInsuranceStatus" column="boat_insurance_status"/>
        <result property="boatInsuranceStatusUrl" column="boat_insurance_status_url"/>
        <result property="boatSafeStatus" column="boat_safe_status"/>
        <result property="boatSafeStatusUrl" column="boat_safe_status_url"/>
        <result property="boatLawEnforcementSafe" column="boat_law_enforcement_safe"/>
        <result property="boatLawEnforcementSafeUrl" column="boat_law_enforcement_safe_url"/>
        <result property="checkUrl" column="check_url"/>
        <result property="homePort" column="home_port"/>
        <result property="outVoucher" column="out_voucher"/>
        <result property="holderName" column="holder_name"/>
        <result property="holderPhone" column="holder_phone"/>
        <result property="delFlag" column="del_flag"/>
    </resultMap>
</mapper>

